<?xml version="1.0" encoding="UTF-8"?>
<component id="user_options_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>USER OPTIONS</title>
    <rows>160</rows>
    <width>950</width>
    <height>700</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_user_options</table>
        <id_field>i8_user_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>v32_temp_id</temp_id_field>
        <select_fields>i8_user_id,i4_option_id,dt_option,txt_option,c8_estado,ts_in,ts_update</select_fields>
        <insert_fields>i8_user_id,i4_option_id,dt_option,txt_option,c8_estado,ts_in</insert_fields>
        <update_fields>i8_user_id,i4_option_id,dt_option,txt_option,c8_estado</update_fields>
        <delete_fields>i8_user_id,i4_layer_id</delete_fields>     
        <needed_fields>i8_user_id,i4_option_id,dt_option,c8_estado</needed_fields>
        <order_by>2</order_by>
        <direction>asc</direction>
        <limit>100</limit>
        <offset>0</offset>
        <select_labels id="i4_option_id">
            
            <table>sdm_options</table>
            <id_field>i4_option_id</id_field>
            <fields>v64_option</fields>
            <document_fields>v64_option</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <elements>NO</elements>
    <element id ="null"></element>    
    <grid>
        <columns>i4_option_id,v64_option,dt_option,c8_estado,txt_option</columns>
        <column id="i4_option_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options</elements>
            <element id="options">
                <properties>
                    <type>link</type>
                    <data>text</data>
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>user_option_functions</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_user_id;i4_option_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="v64_option">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESCRIPTION</header>
                <width>64</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options1</elements>
            <element id="options1">
                <properties>
                    <type>link</type>
                    <data>text</data>
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>user_option_views</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_user_id;i4_option_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="dt_option">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>FECHA</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c8_estado">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ESTADO</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="txt_option">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>COMENTARIOS</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>